Subject: bug#40099: 28.0.50; [feature/native-comp] Different working dir of .eln files is not expected by pdf-tools

From: Andrea Corallo <[email-masked]>
Date: Wed, 18 Mar 2020 16:57:49 +0000

Stefan Monnier <[email-masked]> writes:

>> Great I think the problem is clear, pdf-tools is using `load-file-name'
>> as a way to obtain `pdf-tools-directory' but this is false assumption
>> for the eln folder directory we have arranged.
>
> Good point, indeed.  This problem already exists in theory in some
> systems (such as Debian in the past) where byte-compiled files were
> placed in a different directory (for the case where several major
> versions of Emacs are used, with packages re-compiled separately for
> each major version).
>
> But yes, this will bite much more often.
>
> We could lie (set `load-file-name` to point to the source file, for
> example) or introduce some function to go from the `load-file-name` to
> the "intended" origin (something like the name of the source file) and
> update all packages to use that function?

Right.  Thinking about I'd be for lying, effectively and simmetrically
we already do that for the `load-path'.  The new function in contrast
should be adopted by all packages so I see it more problematic.

>> Adding Stephane in cc to get an optinion on this.
>
> I assume that was a typo, I didn't see nay Stephane in the Cc.

I see you in Cc here:

https://debbugs.gnu.org/cgi/bugreport.cgi?bug=40099#14

perhaps I did something wrong.

  Andrea

-- 
[email-masked]